/** When your routing table is too long, you can split it into small modules **/

import Jdlayout from "@/layout/jdlayout";

const jiedaoRouter = {
  path: "/jiedao",
  component: Jdlayout,
  redirect: "/jiedao/jd-profile",
  name: "Table",
  meta: {
    title: "profile",
    icon: "table",
  },
  children: [
    {
      path: "jd-profile",
      component: () => import("@/views/jiedao/profile"),
      name: "Profile",
      meta: { title: "profile" },
    },
    {
      path: "jd-setting",
      component: () => import("@/views/jiedao/profile/setting"),
      name: "Setting",
      meta: { title: "setting" },
    },
    {
      path: "jd-advice",
      component: () => import("@/views/jiedao/profile/advice"),
      name: "Advice",
      meta: { title: "advice" },
    },
    {
      path: "jd-help",
      component: () => import("@/views/jiedao/profile/help"),
      name: "Help",
      meta: { title: "help" },
    },
    {
      path: "jd-message",
      component: () => import("@/views/jiedao/profile/message"),
      name: "Message",
      meta: { title: "message" },
    },
    {
      path: "jd-message",
      component: () => import("@/views/jiedao/profile/messagedetail"),
      name: "Message",
      meta: { title: "message" },
      children: [
        {
          path: "jd-messagedetail",
          component: () => import("@/views/jiedao/profile/messagedetail"),
          name: "Messagedetail",
          meta: { title: "messagedetail" },
        },
      ],
    },
    {
      path: "jd-notice",
      component: () => import("@/views/jiedao/profile/notice"),
      name: "Notice",
      meta: { title: "notice" },
    },
    {
      path: "jd-notice",
      component: () => import("@/views/jiedao/profile/noticedetail"),
      name: "Notice",
      meta: { title: "notice" },
      children: [
        {
          path: "jd-noticedetail",
          component: () => import("@/views/jiedao/profile/noticedetail"),
          name: "Noticedetail",
          meta: { title: "noticedetail" },
        },
      ],
    },
    {
      path: "jd-bannerdetail",
      component: () => import("@/views/jiedao/profile/bannerdetail"),
      name: "Banner",
      meta: { title: "bannerdetail" },
    },
    {
      path: "jd-coupon",
      component: () => import("@/views/jiedao/profile/coupons"),
      name: "Coupons",
      meta: { title: "coupons" },
    },
    {
      path: "jd-integral",
      component: () => import("@/views/jiedao/profile/integral"),
      name: "Integral",
      meta: { title: "integral" },
    },
    {
      path: "jd-integral-log",
      component: () => import("@/views/jiedao/profile/integralLog"),
      name: "IntegralLog",
      meta: { title: "Integrallog" },
    },
    {
      path: "jd-exchange-log",
      component: () => import("@/views/jiedao/profile/exchangeLog"),
      name: "ExchangeLog",
      meta: { title: "Exchangelog" },
    },
    {
      path: "jd-level-log",
      component: () => import("@/views/jiedao/profile/levelLog"),
      name: "LevelLog",
      meta: { title: "LevelLog" },
    },
    {
      path: "jd-exchange-operate",
      component: () => import("@/views/jiedao/profile/exchangeOperate"),
      name: "ExchangeLog",
      meta: { title: "ExchangeOperate" },
    },
    {
      path: "jd-address-manager",
      component: () => import("@/views/jiedao/profile/addressManager"),
      name: "AddressManager",
      meta: { title: "AddressManager" },
    },
    {
      path: "jd-exchange-details",
      component: () => import("@/views/jiedao/profile/exchangeDetails"),
      name: "ExchangeDetails",
      meta: { title: "ExchangeDetails" },
    },
    {
      path: "jd-details-activity",
      component: () => import("@/views/jiedao/profile/detailsActivity"),
      name: "DetailsActivity",
      meta: { title: "DetailsActivity" },
    },
    {
      path: "jd-customer",
      component: () => import("@/views/jiedao/profile/customer"),
      name: "Customer",
      meta: { title: "customer" },
    },
    {
      path: "jd-supplier",
      component: () => import("@/views/jiedao/profile/supplier"),
      name: "Supplier",
      meta: { title: "supplier" },
    },
    {
      path: "jd-ecash",
      component: () => import("@/views/jiedao/profile/ecash"),
      name: "Ecash",
      meta: { title: "ecash" },
    },
    {
      path: "jd-delivery",
      component: () => import("@/views/jiedao/profile/delivery"),
      name: "Delivery",
      meta: { title: "delivery" },
    },
    {
      path: "jd-controlorder",
      component: () => import("@/views/jiedao/profile/controlorder"),
      name: "Controlorder",
      meta: { title: "controlorder" },
    },
    {
      path: "jd-waitmoneyorder",
      component: () => import("@/views/jiedao/profile/waitmoneyorder"),
      name: "Waitmoneyorder",
      meta: { title: "waitmoneyorder" },
    },
    {
      path: "jd-receivedorder",
      component: () => import("@/views/jiedao/profile/receivedorder"),
      name: "Receivedorder",
      meta: { title: "receivedorder" },
    },
    {
      path: "jd-postorder",
      component: () => import("@/views/jiedao/profile/postorder"),
      name: "Postorder",
      meta: { title: "postorder" },
    },
    {
      path: "jd-orderdetail",
      component: () => import("@/views/jiedao/profile/orderdetail"),
      name: "Orderdetail",
      meta: { title: "orderdetail" },
    },
    {
      path: "jd-price",
      component: () => import("@/views/jiedao/profile/price"),
      name: "Orderdetail",
      meta: { title: "price" },
    },
    {
      path: "jd-logistics",
      component: () => import("@/views/jiedao/profile/logistics"),
      name: "Logistics",
      meta: { title: "logistics" },
    },
    {
      path: "jd-abnormal",
      component: () => import("@/views/jiedao/profile/abnormal"),
      name: "Abnormal",
      meta: { title: "abnormal" },
    },
    {
      path: "jd-idcard",
      component: () => import("@/views/jiedao/profile/idcard"),
      name: "Notice",
      meta: { title: "idcard" },
    },
    {
      path: "jd-deliveryedit",
      component: () => import("@/views/jiedao/profile/delivery"),
      name: "Notice",
      meta: { title: "delivery" },
    },
    {
      path: "jd-deliverysuccess",
      component: () => import("@/views/jiedao/profile/deliverysuccess"),
      name: "Notice",
      meta: { title: "deliverysuccess" },
    },
  ],
};
export default jiedaoRouter;
